Cyberduck Mountain Duck CLI

#7922 closed defect (fixed)

SFTP losing connection while idle

Reported by: rafael maiolla Owned by: dkocher
Priority: normal Milestone: 4.5
Component: sftp Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If I stay some time without using Cyberduck, the connection seems to be closed in the server side, but cyberduck doesn't know about that. Then, when I try to save an open file, cyberduck try to save it, but as the server doesn't respond, it keep there without save.

Is there any mechanism, like a ping, to maintain the connection alive? (Or this can be added)

I also use WinSCP and it seems to keep the connection alive - I don't have the same problems there...

Change History (7)

comment:1 Changed on May 7, 2014 at 8:07:45 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.5
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on May 7, 2014 at 3:20:51 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14566.

comment:3 Changed on May 15, 2014 at 12:40:10 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:4 Changed on May 15, 2014 at 12:40:33 PM by dkocher

#7948 closed as duplicate.

comment:5 Changed on May 16, 2014 at 8:05:57 PM by dkocher

You can workaround this issue by letting the SSH server send ignore packets for idle connections. In OpenSSH the configuration in /etc/ssh/sshd_config is ClientAliveInterval 15.

comment:7 Changed on May 16, 2014 at 8:22:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r14649.

Note: See TracTickets for help on using tickets.
swiss made software